Subject: Re: compilationg on SunOS 4.1.4

From: [email-masked] (joseph yang)
Date: Fri, 30 May 1997 13:52:27 PDT

I trodded along and just added NGROUPS_MAX to the config.s41 file and it completed the compile fine.

--Joe

> From [email-masked] Fri May 30 11:17:06 1997
> Date: Fri, 30 May 1997 10:42:36 PDT
> Reply-To: [email-masked]
> Sender: [email-masked]
> From: [email-masked] (joseph yang)
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: compilationg on SunOS 4.1.4
> X-Listprocessor-Version: 8.0 -- ListProcessor(tm) by CREN
> Content-Length: 1599
> 
> Hi,
> 
> I'm trying the same, but further down the compile, I am getting
> 
> gcc -g -I.. -I../support -L../support   -c ftpcmd.c 
> ftpcmd.y: In function `print_groups':
> ftpcmd.y:1612: `NGROUPS_MAX' undeclared (first use this function)
> ftpcmd.y:1612: (Each undeclared identifier is reported only once
> ftpcmd.y:1612: for each function it appears in.)
> make: *** [ftpcmd.o] Error 1
> 
> Should I just be defining this myself?  If so, what value should it be?
> 
> Thanx.
> 
> --Joe
> 
> 
> > From [email-masked] Thu May 29 16:53:14 1997
> > Date: Thu, 29 May 1997 16:44:38 PDT
> > Reply-To: [email-masked]
> > Sender: [email-masked]
> > From: "Mona Wong" <[email-masked]>
> > To: [email-masked]
> > Subject: Re: compilationg on SunOS 4.1.4
> > Mime-Version: 1.0
> > Content-Type> : > text/plain> ; > charset=us-ascii> 
> > X-Mailer: Z-Mail (3.2.3 08feb96 MediaMail)
> > X-Listprocessor-Version: 8.0 -- ListProcessor(tm) by CREN
> > Content-Length: 591
> > 
> > 
> > > 	I am trying to compile wu-ftp 2.4 beta 13 on SunOS 4.1.4, I tried
> > > ./build CC=gcc s41 and got:
> > >
> > > gcc -g  -c snprintf.c
> > > snprintf.c:90: parse error before `size_t'
> > > snprintf.c: In function `snprintf':
> > >
> > > 	What is the problem?
> > 
> > 	I fixed it; snprintf.c needed to include sys/stdtypes.h.
> > 
> > Mona
> > 
> > 
> > -- 
> > ===============================================================
> > Mona Wong, Programmer & Web Administrator
> > National Center for Microscopy and Imaging Research
> > University of California, San Diego
> > http://www-ncmir.ucsd.edu
> > ===============================================================
> > 
> > 
>